#ifndef OSSO_STATUSBAR_COMBO_H
#define OSSO_STATUSBAR_COMBO_H

#include <gtk/gtkwidget.h>
#include <libosso.h>
#include <gconf/gconf-client.h>

G_BEGIN_DECLS
#define HILDON_STATUS_BAR_COMBO_ICON_NAME      "qgn_statusbar_graph_base"
#define HILDON_STATUS_BAR_CPU_ICON_SIZE 38
#define HILDON_STATUS_BAR_CPU_PRIORITY  1

typedef struct {
	HildonStatusBarItem *item;
	GtkWidget *icon;	/* Icon in StatusBar */
	GtkWidget *button;
	GConfClient *gcc;
	osso_context_t *osso;
	guint notify_id;
	guint gc_notify_id_cpu;
	guint gc_notify_id_mem;
	guint gc_notify_id_clk;
	gint color_cpu;
	gint color_mem;
	gboolean clock;
	gulong clock_id;
} PluginInfo;

void combo_entry(HildonStatusBarPluginFn_st *fn);
void *combo_initialize(HildonStatusBarItem *item, GtkWidget **button);
void combo_destroy(void *data);
void combo_update(void *data, gint value1, gint value2, const gchar *str);
int combo_get_priority(void *data);

G_END_DECLS
#endif /* OSSO_STATUSBAR_COMBO_H */
