#ifndef OSSO_STATUSBAR_CPU_H
#define OSSO_STATUSBAR_CPU_H

#include <gtk/gtkcontainer.h>
#include <gtk/gtkimage.h>
#include <gdk/gdkpixbuf.h>
#include <libosso.h>
#include <gconf/gconf-client.h>

G_BEGIN_DECLS
/* Every plugin has a constant priority */
#define HILDON_STATUS_BAR_CPU_ICON_NAME      "qgn_statusbar_graph_base"
/*"qgn_cloc_cpu_statusbar"*/
#define HILDON_STATUS_BAR_CPU_ICON_SIZE 38
#define HILDON_STATUS_BAR_CPU_PRIORITY  1
typedef struct {
	HildonStatusBarItem *item;
	GtkWidget *icon;	/* Icon in StatusBar */
	GtkWidget *button;
	GConfClient *gcc;
	osso_context_t *osso;
	guint notify_id;
	guint gc_notify_id;
	guint gc_notify_id_clk;
	gint color;
	gboolean clock;
	gulong clock_id;
} PluginInfo;


/* The plugin API */
void cpu_entry(HildonStatusBarPluginFn_st *fn);
void *cpu_initialize(HildonStatusBarItem *item, GtkWidget **button);
void cpu_destroy(void *data);
void cpu_update(void *data, gint value1, gint value2, const gchar *str);
int cpu_get_priority(void *data);

G_END_DECLS
#endif
