#ifndef OSSO_STATUSBAR_MEM_H
#define OSSO_STATUSBAR_MEM_H

#include <gtk/gtkcontainer.h>
#include <gtk/gtkimage.h>
#include <gdk/gdkpixbuf.h>
#include <libosso.h>
#include <gconf/gconf-client.h>

G_BEGIN_DECLS
/* Every plugin has a constant priority */
#define HILDON_STATUS_BAR_MEM_ICON_NAME      "qgn_statusbar_graph_base"
/*"qgn_cloc_mem_statusbar"*/
#define HILDON_STATUS_BAR_MEM_ICON_SIZE 38
#define HILDON_STATUS_BAR_MEM_PRIORITY  1
typedef struct {
	HildonStatusBarItem *item;
	GtkWidget *icon;	/* Icon in StatusBar */
	GtkWidget *button;
	GConfClient *gcc;
	osso_context_t *osso;
	guint notify_id;
	guint gc_notify_id;
	guint gc_notify_id_clk;
	gint color;
	gboolean clock;
	gulong clock_id;
} PluginInfo;


/* The plugin API */
void mem_entry(HildonStatusBarPluginFn_st *fn);
void *mem_initialize(HildonStatusBarItem *item, GtkWidget **button);
void mem_destroy(void *data);
void mem_update(void *data, gint value1, gint value2, const gchar *str);
int mem_get_priority(void *data);

G_END_DECLS
#endif
